Modify

Opened 5 years ago

Closed 4 years ago

Last modified 18 months ago

#10492 closed enhancement (fixed)

Support for TL-WR740N/TL-WR740ND v4

Reported by: Cristian Deluxe <djcristiandeluxe@…> Owned by: juhosg
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: WR740N, v4, tp, link Cc:

Description

In Spain new TL-WR740N routers comes with the new version 4.2 (in the stick) and v4 in the router web interface.

I've compiled the latest trunk with this patch and now router are working with openwrt (at least ethernet ports, i can access the router trough telnet).

I have to do more tests with web interface and wifi, i will post my results...

Attachments (4)

tl-wr740n-v4.patch (1.1 KB) - added by Cristian Deluxe <djcristiandeluxe@…> 5 years ago.
tl-wr740n-v4.support.final.patch (6.1 KB) - added by Cristian Deluxe <djcristiandeluxe@…> 5 years ago.
Support for TP-Link TL-WR740N/TL-WR740ND v4 working with trunk r29336
tl-wr740n-v4.2.patch (1.1 KB) - added by anonymous 5 years ago.
WR740N
tl-wr740n-v4.support.final.2.patch (6.1 KB) - added by anonymous 5 years ago.

Download all attachments as: .zip

Change History (68)

Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

comment:1 Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

More data for if it can help

BusyBox v1.19.3 (2011-11-24 19:56:22 CET) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 ATTITUDE ADJUSTMENT (bleeding edge, r29299) ----------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------

root@OpenWrt:/etc/config# ifconfig
br-lan    Link encap:Ethernet  HWaddr 00:00:00:00:00:00 -> Fake MAC
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:199 errors:0 dropped:0 overruns:0 frame:0
          TX packets:163 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:16343 (15.9 KiB)  TX bytes:20063 (19.5 KiB)

eth0      Link encap:Ethernet  HWaddr 00:00:00:00:00:00 -> Fake MAC
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:234 errors:0 dropped:0 overruns:0 frame:0
          TX packets:166 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:23347 (22.7 KiB)  TX bytes:21198 (20.7 KiB)
          Interrupt:5

eth1      Link encap:Ethernet  HWaddr 00:00:00:00:00:00 -> Fake MAC
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)
          Interrupt:4

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1200 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1200 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:81600 (79.6 KiB)  TX bytes:81600 (79.6 KiB)

mon.wlan0 Link encap:UNSPEC  HWaddr 00-00-00-00-00-00-00-00-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:32
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wlan0     Link encap:Ethernet  HWaddr 00:00:00:00:00:00 -> Fake MAC
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:32
          RX bytes:0 (0.0 B)  TX bytes:128 (128.0 B)

root@OpenWrt:/# cd proc/
root@OpenWrt:/proc# cat cpuinfo
system type             : Atheros AR9330 rev 1
machine                 : TP-LINK TL-WR741ND v4
processor               : 0
cpu model               : MIPS 24Kc V7.4
BogoMIPS                : 265.42
wait instruction        : yes
microsecond timers      : yes
tlb_entries             : 16
extra interrupt vector  : yes
hardware watchpoint     : yes, count: 4, address/irw mask: [0x0000, 0x0ff8, 0x0ff8, 0x0ff8]
ASEs implemented        : mips16
shadow register sets    : 1
kscratch registers      : 0
core                    : 0
VCED exceptions         : not available
VCEI exceptions         : not available


wait instruction        : yes
microsecond timers      : yes
tlb_entries             : 16
extra interrupt vector  : yes
hardware watchpoint     : yes, count: 4, address/irw mask: [0x0000, 0x0ff8, 0x0ff8, 0x0ff8]
ASEs implemented        : mips16
shadow register sets    : 1
kscratch registers      : 0
core                    : 0
VCED exceptions         : not available
VCEI exceptions         : not available

root@OpenWrt:/proc# cat m
meminfo  misc     modules  mounts   mtd
root@OpenWrt:/proc# cat m
meminfo  misc     modules  mounts   mtd
root@OpenWrt:/proc# cat m
meminfo  misc     modules  mounts   mtd
root@OpenWrt:/proc# cat meminfo
MemTotal:          29540 kB
MemFree:           14772 kB
Buffers:            1372 kB
Cached:             4764 kB
SwapCached:            0 kB
Active:             3276 kB
Inactive:           3880 kB
Active(anon):       1048 kB
Inactive(anon):       40 kB
Active(file):       2228 kB
Inactive(file):     3840 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:             0 kB
SwapFree:              0 kB
Dirty:                 0 kB
Writeback:             0 kB
AnonPages:          1036 kB
Mapped:             1040 kB
Shmem:                68 kB
Slab:               4168 kB
SReclaimable:        964 kB
SUnreclaim:         3204 kB
KernelStack:         320 kB
PageTables:          220 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:       14768 kB
Committed_AS:       3840 kB
VmallocTotal:    1048372 kB
VmallocUsed:        1120 kB
VmallocChunk:    1039732 kB
root@OpenWrt:/proc#

root@OpenWrt:/proc# cat meminfo
MemTotal:          29540 kB
MemFree:           14776 kB
Buffers:            1372 kB
Cached:             4764 kB
SwapCached:            0 kB
Active:             3276 kB
Inactive:           3880 kB
Active(anon):       1048 kB
Inactive(anon):       40 kB
Active(file):       2228 kB
Inactive(file):     3840 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:             0 kB
SwapFree:              0 kB
Dirty:                 0 kB
Writeback:             0 kB
AnonPages:          1036 kB
Mapped:             1040 kB
Shmem:                68 kB
Slab:               4168 kB
SReclaimable:        964 kB
SUnreclaim:         3204 kB
KernelStack:         320 kB
PageTables:          216 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:       14768 kB
Committed_AS:       3840 kB
VmallocTotal:    1048372 kB
VmallocUsed:        1120 kB
VmallocChunk:    1039732 kB
root@OpenWrt:/proc#


root@OpenWrt:/# dmesg
Linux version 2.6.39.4 (myuser@mymachine) (gcc version 4.5.4 20110808 (prerelease) (Linaro GCC 4.5-2011.08) ) #1 Thu Nov 24 20:17:21 CET 2011
prom: fw_arg0=00000007, fw_arg1=a1f8ffb0, fw_arg2=a1f90460, fw_arg3=00000004
MyLoader: sysp=08fabbe8, boardp=ea0a1990, parts=d7d9fd08
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
SoC: Atheros AR9330 rev 1
Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
On node 0 totalpages: 8192
free_area_init_node: node 0, pgdat 802b9a70, node_mem_map 81000000
  Normal zone: 64 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 8128 pages, LIFO batch:0
pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
pcpu-alloc: [0] 0
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  board=TL-WR741ND-v4 console=ttyATH0,115200 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 29356k/32768k available (2012k kernel code, 3412k reserved, 395k data, 184k init, 0k highmem)
SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
NR_IRQS:80
Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is TP-LINK TL-WR741ND v4
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
PCI: CLS 0 bytes, default 32
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 57
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
ar933x-uart: ttyATH0 at MMIO 0x18020000 (irq = 11) is a AR933X UART
console [ttyATH0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: found s25sl032a, expected m25p80
m25p80 spi0.0: s25sl032a (4096 Kbytes)
spi0.0: searching for MyLoader partition table at offset 0x10000
spi0.0: searching for MyLoader partition table at offset 0x20000
spi0.0: searching for MyLoader partition table at offset 0x30000
spi0.0: searching for MyLoader partition table at offset 0x40000
spi0.0: no MyLoader partition table found
Searching for RedBoot partition table in spi0.0 at offset 0x3e0000
Searching for RedBoot partition table in spi0.0 at offset 0x3f0000
No RedBoot partition table detected in spi0.0
spi0.0: no WRT160NL signature found
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000020000 : "u-boot"
0x000000020000-0x000000120000 : "kernel"
0x000000120000-0x0000003f0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=290000, len=160000
0x000000290000-0x0000003f0000 : "rootfs_data"
0x0000003f0000-0x000000400000 : "art"
0x000000020000-0x0000003f0000 : "firmware"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xba000000, irq 5
eth0: Found an AR7240 built-in switch
eth1: Atheros AG71xx at 0xb9000000, irq 4
eth1: connected to PHY at ag71xx-mdio.1:04 [uid=004dd041, driver=Generic PHY]
Atheros AR71xx hardware watchdog driver version 0.1.0
ar71xx-wdt: timeout=15 secs (max=171)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 184k freed
input: gpio-keys-polled as /devices/platform/gpio-keys-polled.1/input/input0
Button Hotplug driver version 0.4.1
Registered led device: tp-link:green:system
Registered led device: tp-link:green:qss
Registered led device: tp-link:green:wlan
eth0: link up (1000Mbps/Full duplex)
JFFS2 notice: (406) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 8 of xref (0 dead, 2 orphan) found.
eth0: link down
Compat-wireless backport release: compat-wireless-2011-11-08-1-g4ab9b62
Backport based on wireless-testing.git master-2011-11-15
cfg80211: Calling CRDA to update world regulatory domain
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
ath: EEPROM regdomain: 0x0
ath: EEPROM indicates default country code should be used
ath: doing EEPROM country->regdmn map search
ath: country maps to regdmn code: 0x3a
ath: Country alpha2 being used: US
ath: Regpair used: 0x3a
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Registered led device: ath9k-phy0
ieee80211 phy0: Atheros AR9330 Rev:1 mem=0xb8100000, irq=2
cfg80211: Calling CRDA for country: US
PPP generic driver version 2.4.2
cfg80211: Regulatory domain changed to country: US
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
nf_conntrack version 0.5.0 (461 buckets, 1844 max)
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
eth0: link up (1000Mbps/Full duplex)
device eth0 entered promiscuous mode
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
ar71xx-wdt: enabling watchdog timer
ar71xx-wdt: timeout=60 secs
device wlan0 entered promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
br-lan: port 2(wlan0) entering forwarding state
device wlan0 left promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
device wlan0 entered promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
br-lan: port 2(wlan0) entering forwarding state
root@OpenWrt:/#

:)

comment:2 follow-up: Changed 5 years ago by anonymous

I have applied your patch,but no 740nV4 showed up in make menuconfig.What's wrong?

comment:3 Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

Sorry, i'm not a OpenWRT guru, it's my first compilation : P

The model doesn't appear in menuconfig but if you select:

"Target System" -> Atheros AR71xx...

"Target Profile" -> All drivers

and do a make you will have:

openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-sysupgrade.bin
openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin
openwrt-ar71xx-generic-tl-wr740n-v4-jffs2-sysupgrade.bin
openwrt-ar71xx-generic-tl-wr740n-v4-jffs2-factory.bin

Compilated in your bin folder

comment:4 follow-up: Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

Confirmed:

[*] Working wan with DHCP configuration
[*] Installed LuCi and its works correctly
[*] WLAN interface working too

The only thing that seems to don't work properly are the leds for ethernet/wan ports, what are always off, i will try and post results here later

comment:5 Changed 5 years ago by Nilfred <nilfred@…>

See r28706 r28707 r28708 r28709 for a complete setup hint.

Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

Support for TP-Link TL-WR740N/TL-WR740ND v4 working with trunk r29336

comment:6 in reply to: ↑ 2 Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

I've created a full patch and tested it with current trunk version ( r29336 )

thanks Nilfred

Replying to anonymous:

I have applied your patch,but no 740nV4 showed up in make menuconfig.What's wrong?

Now if you do a: "make defconfig" first the "WR-740N v4" must show when you do a "make menuconfig"

If you don't want to make a defconfig simply edit your config file and:

# CONFIG_TARGET_ar71xx_generic_TLWR740NV1 is not set
# CONFIG_TARGET_ar71xx_generic_TLWR740NV3 is not set
CONFIG_TARGET_ar71xx_generic_TLWR740NV4=y                  <-- add this line
# CONFIG_TARGET_ar71xx_generic_TLWR743NDV1 is not set
# CONFIG_TARGET_ar71xx_generic_TLWR841NV15 is not set

The router are working very well, I've compiled a build with IPv6 support + luci web interface and the router has "Free space: 74% (664.00 KB)"

and a "free" command in cli shows:

             total         used         free       shared      buffers
Mem:         29532        18932        10600            0         1904
-/+ buffers:              17028        12504
Swap:            0            0            0

after some hours working.

The only mistake i found is the lan and wan leds, it don't works :(

I hope that some OpenWRT guru can guide me with a link to some lost forum post where i can find more info (or even make it works) that will be this router perfect for use it with openwrt

comment:7 Changed 5 years ago by anonymous

Hello Cristian,

Awesome and thank you for the hard work. I received my TL WRT740N v4.2 today. I am not setup to do cross-compilation, but if you can share your binaries, I would be happy to test and provide testing feedback.

If the only thing not working is the WAN led, that is more than usable. ;-)

Thank you!

Jerome

comment:8 in reply to: ↑ 4 ; follow-up: Changed 5 years ago by sani@…

Replying to Cristian Deluxe <djcristiandeluxe@…>:
Hello,
do you have any solution for LAN/WAN leds ? At least recognising link up/down ?

Confirmed:

[*] Working wan with DHCP configuration
[*] Installed LuCi and its works correctly
[*] WLAN interface working too

The only thing that seems to don't work properly are the leds for ethernet/wan ports, what are always off, i will try and post results here later

comment:9 in reply to: ↑ 8 Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

Hi

Replying to anonymous:

Awesome and thank you for the hard work. I received my TL WRT740N v4.2 today. I am not setup to do cross-compilation, but if you can share your binaries, I would be happy to test and provide testing feedback.

I will try to compile a binary but WR-740N v4 support are included in latest trunk version so you can build your own firmware without apply patch, just download source, make config, sel WR740N and do "make"

Replying to sani@…:

Hello,
do you have any solution for LAN/WAN leds ? At least recognising link up/down ?

I'm doing some test right now because WR740Nv4 are currently using the WR741v4 template (the chip are the same) but the board circuit is like WR740Nv1 so i'm making a template (like a mix) between this two models but my last test result in a bricked router (the second since i started) xD i work on an ISP so i have more routers to continue testing but i need to (find the time to) make a working serial cable and connect the router with this cable for can do all these (relative advanced) test without say sorry to my boss for broke another router : P

Currently i'm using the "QSS" led with netdev trigger for show the wan link status and rx/tx, ye i know that not are an "elegant" solution but i needed to have this router working fast and this it's a "little" disadvantage, all other things in router are working OK.

This will be continued...

comment:10 Changed 5 years ago by Max

I can confirm that downloading from

http://downloads.openwrt.org/snapshots/trunk/ar71xx/

the following file:

openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin

and flashing it through the original/stock TP-Link web interface
results in a perfectly working openwrt excluding the LAN leds that do not blink,

comment:11 Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

Thanks Max : ) I've tested it with like 100 routers with 4.0 and 4.2 hardware version and all are working perfect (except lan/wan leds).

The good news are that i buyed an usb serial cable so the next week i want to try make leds works and "resurrect" at same time some bricked routers.

Any help/comment are appreciated

comment:12 Changed 5 years ago by cybermaus@…

Just a FYI: I too flashed without issue from original web-gui. Great job guys!

comment:13 Changed 5 years ago by anonymous

Also just installed onto new "v4.2" router (factory firmware 3.12.11 build 110831 rel.60718n) that came from amazon.de (~17 euros), seems to be working well just aforementioned LEDs not enabled for wired LAN. Thanks guys as always for sharing.

comment:14 follow-up: Changed 5 years ago by Catalin

Guys i can also confirm that using

openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin works without a problem. Flashed fast, no issues, works like a charm.

a big Thank You for the work you do.

comment:15 in reply to: ↑ 14 ; follow-up: Changed 5 years ago by anonymous

Hi,I need help.My router is a 4.2 version and had a factory firmware "3.12.11 build 110831 rel.60718n".I downloaded openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin and then from the web gui of the router I clicked to upgrade the firmware.Then I selected that file and clicked yes to do the upgrade.The router said it was restarting and it was showing a percentage.When it went 100% I think it restarted.I suppose it was successful because then only two leds were on.I tried to access the internet but it wasn't working.I tried accessing the web gui via the default getaway's ip but it wasn't working either.How can I get it to work,what's the problem? Thanks a lot.

comment:16 in reply to: ↑ 15 ; follow-up: Changed 5 years ago by anonymous

Replying to anonymous:

Hi,I need help.My router is a 4.2 version and had a factory firmware "3.12.11 build 110831 rel.60718n".I downloaded openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin and then from the web gui of the router I clicked to upgrade the firmware.Then I selected that file and clicked yes to do the upgrade.The router said it was restarting and it was showing a percentage.When it went 100% I think it restarted.I suppose it was successful because then only two leds were on.I tried to access the internet but it wasn't working.I tried accessing the web gui via the default getaway's ip but it wasn't working either.How can I get it to work,what's the problem? Thanks a lot.

Never mind I just flashed back to the original firmware using putty and winscp.Thanks

comment:17 follow-up: Changed 5 years ago by User@…

Hello.
Is resolved problem with the leds ? Because i have a v4 which is not working good, and i want to try this firmware.

comment:18 in reply to: ↑ 17 Changed 5 years ago by User@…

And if anybody tested the speed after installed this firmware, it's limited compared with stock firmware ? And what is exactly the procedure to revert to factory firmware if something goes wrong ?
Thanks in advance.

comment:19 in reply to: ↑ 16 Changed 5 years ago by anonymous

Replying to anonymous:

Replying to anonymous:

Hi,I need help.My router is a 4.2 version and had a factory firmware "3.12.11 build 110831 rel.60718n".I downloaded openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin and then from the web gui of the router I clicked to upgrade the firmware.Then I selected that file and clicked yes to do the upgrade.The router said it was restarting and it was showing a percentage.When it went 100% I think it restarted.I suppose it was successful because then only two leds were on.I tried to access the internet but it wasn't working.I tried accessing the web gui via the default getaway's ip but it wasn't working either.How can I get it to work,what's the problem? Thanks a lot.

Never mind I just flashed back to the original firmware using putty and winscp.Thanks

You have to install luci to get a web-based interface. The internet connection also has to be set up manually. Most likely your install worked as it should.

I also flashed the aforemented file to my 4.2 TL-RW740N without problems, except the WAN and LAN LEDs of course.
However, to prevent re-inventing the wheel, be careful about disk space. If you run completely out, you have to "reformat" to regain control of the device. You won't even be able to delete files to make space.

comment:20 Changed 5 years ago by alvarouniovi@…

Hello everyone. I've just received a version 4.3 of this router, do you if it's possible to use this version openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin?. Sorry I'm newbie, after installing it what should I have to do to have a gui version. I have cable broadband and I want to connect two laptops through WIFI and XBOX using ethernet port. Thank you.

comment:21 Changed 5 years ago by cybermaus

Hey, I flashed another V4.2, with the Jan 1 r29631 trunk build, and the LED's are working! Nice!

Be careful with that V4.3 model. There are 2M flash models around, which cannot hold OpenWRT. Play it safe, and open the device to read the flash chip model as shown http://wiki.openwrt.org/toh/tp-link/tl-wr740n. Or be the first to try and be sure to report back if your router survived or not.

Actually: why not simply use with the factory firmware?

comment:22 follow-up: Changed 5 years ago by Cristian Deluxe <djcristiandeluxe@…>

Yeah the LEDs are working now, i think i have some 4.3 router, i will try it this week and post here the results.

comment:23 Changed 5 years ago by user@…

Hello.
I want to flash with this my router v4. This firmware don't have a web interface ? A screenshot or something where can i see ? How can i configure ?

comment:24 Changed 5 years ago by user@…

I have installed this firmware, but internet connection not work, and i don't know how to configure, since there is NO GUI interface. I have login to root, but i am not familiarized with linux. I cannot install LUCI gui. Maybe someone who know how to do this will post a tutorial for newbies. Thanks in advance!

comment:25 Changed 5 years ago by anonymous

This will help: Go to google, search for "openwrt first login"

comment:26 Changed 5 years ago by anonymous

Yes, i found this instructions, but i can't get internet connection to work because i can't change MAC adress of the router. (ISP blocked router MAC). So, i can't get to work LUCI web gui since i don't have internet connection. How can i change MAC adress of the router ?

comment:27 Changed 5 years ago by jow

This is no support channel. Use the forum or irc to discuss such issues.

comment:28 follow-up: Changed 5 years ago by user@…

I managed to worked, after get help in the forum. Thanks for help. Only one bug i found: WLAN LED not working.

comment:29 in reply to: ↑ 28 Changed 5 years ago by anonymous

Replying to user@…:

I managed to worked, after get help in the forum. Thanks for help. Only one bug i found: WLAN LED not working.

Nevermind, i found the way to get worked in tl-wr740n-v4.support.final.patch posted by Cristian Deluxe. Thanks for such as great firmware ! My router works like a charm !

comment:30 Changed 5 years ago by dfroe@…

I just sucessfully flashed a Ver4.3 with the latest trunk snapshot. So also v4.3 seems to work.

comment:31 Changed 5 years ago by anonymous

someone more tried install trunk in the version 4.3 with good results?

Changed 5 years ago by anonymous

WR740N

Changed 5 years ago by anonymous

comment:32 Changed 5 years ago by swalker

  • Owner changed from developers to juhosg
  • Status changed from new to assigned

comment:33 Changed 5 years ago by anon

First of all thanks for what you're doing but I have one simple request.I read that you were installing this patch to a lot of routers for testing so if you could just record the whole process using some screen recording software and then uploading it to youtube,I tried to install but I just can't get it to work(installing luci,configuring internet).I'd be very thankful if any of you did that.

comment:34 Changed 5 years ago by abondek@…

Given bin images working on v4.3
My question is anyone know how to mod USB socket to WR740N v4.3?

comment:35 Changed 5 years ago by anonymous

I have two WR740Nv4.2 with this r29631 build. Both run fine at first glance. However, even when totally idling, both have loads (15 min) of between 0.15 and 0.30.

A WR941ND programmed identically, when totally idling, is at a load (15 min) of 0.04. Idling means only dnsmasq + coova + dropbear running, *but absolutely no users*. Also, both dnsmasq and coova stopped seemed to make no difference. Also tcpdump shows no 'hidden' traffic.

Could there be something in the WR740N build that is eating up the CPU? top shows nothing. I already tried to disable the LED config in /etc/config/system, but that does not help.

comment:36 Changed 5 years ago by juhosg

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:37 Changed 5 years ago by anonymous

r29844 works like a charm on 740N "v4.2" router (bought in a Hungarian supermarket) with factory firmware 3.12.11 build 110831. Installed from factory web gui, file: openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin. Date of file: 22-Jan-2012 13:12.
Thanks for the good work!

comment:38 Changed 5 years ago by anonymous

I found a problem in original firmware, which is replicated in open-wrt firmware.
Problem is fixed in the last original version of firmware.

"Modifications and Bug Fixes
Fix the problem that LAN ports get the IP address assigned to WAN port"

This problem still isn't fixed in open-wrt version. Maybe in the future versions ?

comment:39 follow-up: Changed 5 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

I found a problem in original firmware, which is replicated in open-wrt firmware.
Problem is fixed in the last original version of firmware.

"Modifications and Bug Fixes
Fix the problem that LAN ports get the IP address assigned to WAN port"

This problem still isn't fixed in open-wrt version. Maybe in the future versions ?

comment:40 in reply to: ↑ 39 ; follow-up: Changed 5 years ago by anonymous

Replying to anonymous:

I found a problem in original firmware, which is replicated in open-wrt firmware.
Problem is fixed in the last original version of firmware.

"Modifications and Bug Fixes
Fix the problem that LAN ports get the IP address assigned to WAN port"

This problem still isn't fixed in open-wrt version. Maybe in the future versions ?

I experienced a similar bug (DHCP lan client got the IP assigned to the wan port) with the factory TP-LINK firmware, but not with OpenWRT r29844.

comment:41 in reply to: ↑ 22 Changed 5 years ago by info@…

Replying to Cristian Deluxe <djcristiandeluxe@…>:

Yeah the LEDs are working now, i think i have some 4.3 router, i will try it this week and post here the results.

Hi Cristian.
Is possible with this firmware turn on/off the leds manually?

Soy un freelance en España que busca una solución para un cliente y necesito poner el router en modo cliente y poder enceder/apagar alguno de sus leds de forma manual en remoto (SSH, Telnet,...)
mi email es rgamez(arroba)telecoysolar(punto)com

Gracias.

comment:42 Changed 5 years ago by anonymous

El LED de QSS está disponible.
https://forum.openwrt.org/viewtopic.php?id=34433 Seguí el hilo

Close this ticked: Invalid reopened.

comment:43 in reply to: ↑ 40 Changed 5 years ago by anonymous

Replying to anonymous:

Replying to anonymous:

I found a problem in original firmware, which is replicated in open-wrt firmware.
Problem is fixed in the last original version of firmware.

"Modifications and Bug Fixes
Fix the problem that LAN ports get the IP address assigned to WAN port"

This problem still isn't fixed in open-wrt version. Maybe in the future versions ?

I experienced a similar bug (DHCP lan client got the IP assigned to the wan port) with the factory TP-LINK firmware, but not with OpenWRT r29844.

I cannot find r29844 version, but in the last version in trunk bug STILL exist. I tried yesterday.

comment:44 follow-up: Changed 5 years ago by anonymous

I build with r30400, but the wlan led still not working.

comment:45 in reply to: ↑ 44 Changed 5 years ago by anonymous

Replying to anonymous:

I build with r30400, but the wlan led still not working.

You must configure wlan led manually. It's a bug, same happen to me. Enter in LED configure section and ad manually WLAN with the settings "phy0tpt" and will work.

comment:46 Changed 5 years ago by devil007

Hello guys,

I am newbie installing custom firmwares on routers. I have 2 simple questions (I am not familiar with linux commands): Does -ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin image contain luCi web interface or I need to enable it somehow after first install?

Question no.2: How do i revert back to stock tp link firmare?

Ps.: I have v4.21 router which was bought in hungary.

thank you in advance.

comment:47 Changed 5 years ago by TyS <info@…>

Hi,

Anyone can say me how we can restart default Openwrt configuration?
We are trying the common mode (60 seg push reset button) but nothing happens.

regards,

comment:48 Changed 5 years ago by Gavntery

I build with r31054, it fixed the problem that LAN ports get the IP address assigned to WAN port.

comment:49 Changed 5 years ago by Gavntery <gavntery@…>

Now the only bug is the wlan led does not work automatically. You must configure wlan led manually. Enter in LED configure section and add manually WLAN with the settings "phy0tpt" and will work.

comment:50 Changed 5 years ago by anonymous

dd-wrt has the leds fixed as of today.

comment:51 Changed 5 years ago by Gavntery <gavntery@…>

The wlan led still not working automatically with r31219.

comment:52 Changed 5 years ago by anonymous

The wlan led finally working automatically with r31467.

comment:53 Changed 5 years ago by juhosg

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:54 Changed 4 years ago by senomoto

I'm from Brazil and bought TL-WR740N(BR) Ver 4.20 (label above the router).
The web interface show me this versions: FW 3.12.11 Build 120207 Rel.51235n HW: WR740N v4 00000000

openwrt-ar71xx-generic-tl-wr740n-v4-squashfs-factory.bin

I can install luci and made a simple test.

1) LEDs are OK

2) VLAN is configurable, but I cannot made a test

Some infos:

root@OpenWrt:~# cat /proc/cpuinfo 
system type		: Atheros AR9330 rev 1
machine			: TP-LINK TL-WR741ND v4
processor		: 0
cpu model		: MIPS 24Kc V7.4
BogoMIPS		: 265.42
wait instruction	: yes
microsecond timers	: yes
tlb_entries		: 16
extra interrupt vector	: yes
hardware watchpoint	: yes, count: 4, address/irw mask: [0x0000, 0x0ff8, 0x0ff8, 0x0ff8]
ASEs implemented	: mips16
shadow register sets	: 1
kscratch registers	: 0
core			: 0
VCED exceptions		: not available
VCEI exceptions		: not available

root@OpenWrt:~# cat /proc/meminfo 
MemTotal:          29192 kB
MemFree:           10472 kB
Buffers:            1332 kB
Cached:             6516 kB
SwapCached:            0 kB
Active:             4056 kB
Inactive:           5336 kB
Active(anon):       1604 kB
Inactive(anon):     1696 kB
Active(file):       2452 kB
Inactive(file):     3640 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:             0 kB
SwapFree:              0 kB
Dirty:                 0 kB
Writeback:             0 kB
AnonPages:          1560 kB
Mapped:             1152 kB
Shmem:              1756 kB
Slab:               5564 kB
SReclaimable:        864 kB
SUnreclaim:         4700 kB
KernelStack:         352 kB
PageTables:          288 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:       14596 kB
Committed_AS:       6792 kB
VmallocTotal:    1048372 kB
VmallocUsed:        1248 kB
VmallocChunk:    1040732 kB
Status

System

  Router NameOpenWrt
  Router Model TP-Link TL-WR740N/ND v4

Firmware Version 
   OpenWrt Attitude Adjustment r32500 / LuCI Trunk (trunk+svn8778)
		
   Kernel Version 3.3.8

   Local TimeThu Jun 28 00:42:56 2012
   Uptime 0h 33m 34s
   Load Average 0.55, 0.79, 0.61

Memory
  Total Available 15908 kB / 29192 kB (54%)
  Free 5020 kB / 29192 kB (17%)
  Cached 9424 kB / 29192 kB (32%)
  Buffered 1464 kB / 29192 kB (5%)

comment:55 follow-up: Changed 4 years ago by senomoto

  • Resolution fixed deleted
  • Status changed from closed to reopened

VLAN Works on TL-WR740N(BR) Ver 4.20.
But the physical port is not the same the logical port!

I made this map:

Physical <-> Logial
   1 <-> 2
   2 <-> 3
   3 <-> 4
   4 <-> 1

Physical port 4, next the on/off switch.
Physical port 1, next the wan port.

The follow picture is from http://dev.wlan-si.net/wiki/Routers/TP-LINK/WR741ND The WAN port (blue) is at rigth side. In the versions 1.x and 2.x the Wan port is located at the left side.

I think VLAN works on TL-WR741ND too.

http://dev.wlan-si.net/raw-attachment/wiki/Routers/TP-LINK/WR741ND/wr741nd-4v20-3.jpg

If you made a VLAN configuration mistake and lost the CPU connection. Attach your computer with IP Address 192.168.1.2 and start ping to 192.168.1.1, Turn off the TL-WR740ND, wait 10 seconds, turn on, when you see the ping response, press and hold the reset button, if you verify a continuos ping response, release the reset button. Then telnet to 192.168.1.1 and run the command "mount_root", edit the file /etc/config/network, remove all VLAN entries (see h[ttp://wiki.openwrt.org/doc/uci/network/switch#vlanswitch.config]), save the files and run "reboot".

comment:56 in reply to: ↑ description Changed 4 years ago by anonymous

Replying to Cristian Deluxe <djcristiandeluxe@…>:

In Spain new TL-WR740N routers comes with the new version 4.2 (in the stick) and v4 in the router web interface.

I've compiled the latest trunk with this patch and now router are working with openwrt (at least ethernet ports, i can access the router trough telnet).

I have to do more tests with web interface and wifi, i will post my results...

comment:57 Changed 4 years ago by tcg

hiya Guys, Iwould likr to use the vlan mode with multi wan. Using luci, could some one advise me on making the config for vlan.

Thanks

comment:58 in reply to: ↑ 55 Changed 4 years ago by jogo

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to senomoto:

VLAN Works on TL-WR740N(BR) Ver 4.20.
But the physical port is not the same the logical port!

I made this map:

Physical <-> Logial
   1 <-> 2
   2 <-> 3
   3 <-> 4
   4 <-> 1

Physical port 4, next the on/off switch.
Physical port 1, next the wan port.

This is just a cosmetical issue, and common for many boards.

comment:59 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:60 Changed 18 months ago by valentt

Does anybody know what is the difference with WR740N V5 and why it doesn't have support for OpenWrt?

comment:61 Changed 18 months ago by valentt

Does anybody know what is the difference with WR740N V5 and why it doesn't have support for OpenWrt?

comment:62 Changed 18 months ago by valentt

It looks like Daniel Petre just added support for V5!
http://patchwork.ozlabs.org/patch/481907/

comment:63 Changed 18 months ago by valentt

Is this patch for WR740N V5 applied in latest trunk?

comment:64 Changed 18 months ago by valentt

Just an update, WR740N V5 is now supported in latest trunk.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.